package
{
	import flash.geom.Point;
	import net.flashpunk.Entity;
	import net.flashpunk.FP;
	import net.flashpunk.graphics.Image;
	import net.flashpunk.graphics.Spritemap;
	
	// gamer is a classs fo a game entity, controlled either
	// by local player, remote player or AI or nothing
	public class Boot extends Entity
	{
		[Embed(source = "gfx/boot.png")]
		public var BOOT:Class;
		public var activated:uint = 0;
		public static var radius:Number = 50;
		public var sintime:Number = 0;
		public var dash:Image = new Image(BOOT);
		
		public function Boot(x:Number,y:Number)
		{
			// create yourt entity here (look at player class)
			// make sure to alter the properties too (speed, etc)
			//Q.play(Q.boot);
			this.x = x;
			this.y = y;
			dash.centerOrigin();
			if (Q.real_bootman)
			{
			for each(var m:Man in Q.people)
			{
				if (m.dead || m.hit) continue;
				var d:Number = distanceFrom(m);
				if (d < radius)
				{
					var b:Number = 16*(1.0-d / radius);
					var a:Number = Math.random() * Math.PI;
					m.vx = Math.cos(a)*b;
					m.vy = -Math.sin(a) * b;
					m.hit = 50;
				}
			}
			}
			layer = -20;
			
			for each(var m:Man in Q.morepeople)
			{
				var d:Number = distanceFrom(m);
				if (d < radius)
				{
					var b:Number = 16*(1.0-d / radius);
					var a:Number = Math.random() * Math.PI;
					m.vx = Math.cos(a)*b;
					m.vy = -Math.sin(a) * b;
					m.hit = 50;
				}
			}
			graphic = dash;
		}

		
		
		override public function update():void
		{
			dash.alpha *= .96;
			dash.scale += .01;
			dash.angle += .5
			if (dash.alpha < .01) FP.world.remove(this);
			
		}
		
		override public function render():void
		{
			super.render();
		}
		
	}
}