package
{

	import flash.display.Bitmap;
	import flash.display.BlendMode;
	import net.flashpunk.Engine;
	import net.flashpunk.FP;
	import net.flashpunk.graphics.Text;
	import net.flashpunk.Sfx;
	
	public class Main extends Engine
	{
		[Embed(source = 'gfx/bradbunr.ttf', embedAsCFF = "false", fontFamily = 'cbm2')]
		private const MY_FONT:Class;
		[Embed(source = "snd/life.mp3")]
		private const SONG:Class;
		
		[Embed(source = "gfx./filter.png")]
		private const FILT:Class;
		
		public var music:Sfx = new Sfx(SONG);
		
		public var filter:Bitmap = new FILT;
		
		public function Main()
		{
			// we're running FlashPunk
			super(320, 240, 60, false);
			Text.font = 'cbm2';
			Q.phase = 0;
			for (var c:uint = 0; c < Q.mans; c++)
			{
				Q.people.push(new Man(0, 0));
			}
			Q.player = new Player(0, 0);
			// creating the world
			//FP.world = new Levelworld(32,32,0,2);
			Q.phase = -1;
			Q.phase_shift();
			FP.screen.scale = 2;
			// enabling console for degug stuff
			//FP.console.enable();
			music.loop();
			// setting bg colour
			//FP.screen.color = 0x4dbcfd;
			this.addChild(filter);
			filter.blendMode = BlendMode.MULTIPLY;
			addChild(new Sndbtn());
			

		}
	}
}