package
{
	import flash.geom.Point;
	import net.flashpunk.Entity;
	import net.flashpunk.FP;
	import net.flashpunk.graphics.Image;
	import net.flashpunk.graphics.Spritemap;
	import net.flashpunk.graphics.Text;
	
	// gamer is a classs fo a game entity, controlled either
	// by local player, remote player or AI or nothing
	public class Motivate extends Entity
	{
		
		public var depth:Number = 1;
		public var side:Number = 1;
		public var radius:Number = 100;
		public var sintime:Number = 0;
		public var dash:Text = new Text("");
		
		public static var texts = 
		[
			["Boot them!","Badspeakers!","Go Bootman!","Bootman FTW!","<3 Bootman","My hero!","Save us!"], //BOOT
			["It was a dream?"],
			["Work!","Motivate","Balance","Overtime","Saturday?","Schedule","Faster","Cheaper","Labour","Salary","Raise","Promotion"], //WORK
			["Buy","Consume","Best price","Discount","Loan","Debt","Credit card","Purchase","You need it!","Snatch","Buy more","Bestseller","Cheap"], //SHOP
			["Relax","Free time","Work out","Develop","Meditate","Think","Leisure","Read a book","Learn","Socialize","Party"], // EAT
			["Comfy","Spacey","Cosy","Nice view","Loan offer","Trusted","Loft"], //SLEEP
			["Space"], //SPACE
		
		]
		
		public function Motivate(color:uint,phase:uint)
		{
			// create yourt entity here (look at player class)
			// make sure to alter the properties too (speed, etc)
			this.x = FP.rand(FP.width);
			this.y = FP.rand(FP.height);
			dash.align = 'center';
			dash.size = 32;
			dash.outlineStrength = 6;
			dash.outlineColor = 0xcccccc;
			dash.text = texts[phase][FP.rand(texts[phase].length)];;
			dash.centerOrigin();
			dash.color = color;
			dash.scale = 2;
			depth = .9-Math.random() * .8;
			dash.scrollX = 0.5;
			dash.scrollY = 0; 
			layer = 20;
			side = FP.rand(2) ? -1 : 1;
			
			graphic = dash;
			//dash.angle = FP.rand(60) - 30;
		}

		
		
		override public function update():void
		{
			//sintime += .08;
			//dash.alpha *= .96;
			//dash.scale = Math.sin(sintime);
			//
			x += depth*side;
			if ((x*2)-dash.width > (FP.width*2)+FP.camera.x)
			{
				x -= (FP.width*2);
			}
			
			if ((x*2)+dash.width*2 < FP.camera.x)
			{
				x += (FP.width*2);
			}
			
			
		}
		
		override public function render():void
		{
			super.render();
		}
		
	}
}
