package
{
	import flash.geom.Point;
	import net.flashpunk.graphics.Image;
	import net.flashpunk.Entity;
	import net.flashpunk.FP;
	import net.flashpunk.graphics.Text;
	import net.flashpunk.utils.Draw;
	import net.flashpunk.utils.Input;
	import net.flashpunk.utils.Key;
	import net.flashpunk.graphics.Spritemap;
	
	// gamer is a classs fo a game entity, controlled either
	// by local player, remote player or AI or nothing
	public class Player extends Man
	{
		[Embed(source='gfx/peddler.png')]
		protected var TILES:Class;
		
		public var frustration_txt:Text = new Text("Frustration:");
		public var cash_txt:Text = new Text("Cash:");
		public var food_txt:Text = new Text("Food:");
		public var stamina_txt:Text = new Text("Stamina:");
		
		public function Player(x:Number,y:Number)
		{
				super(x, y);
			//sprite = Image.createRect(16, 16);
			//setHitbox(16, 16,8,8);
			type = "man";
			//graphic = sprite;
			//sprite.centerOrigin();
			//decc = .97;
			//acc = .25;
			speed = 6;
			layer = -5;
			color = 0xff0000;
			spr.color = color;
			stamina = 100;
		}

		override public function input():uint 
		{
			var ret:uint = 0;
			if (Input.check(Key.UP)) ret|=UP;
			if (Input.check(Key.DOWN)) ret|=DOWN;
			if (Input.check(Key.LEFT)) ret |= LEFT;
			if (Input.check(Key.RIGHT)) ret |= RIGHT;
			if (Input.check(Key.Z) || 
				Input.check(Key.Y) || 
				Input.check(Key.W) || 
				Input.check(Key.UP)) 
				{
					ret |= JUMP;
					if (jumps == max_jumps) Q.play(Q.hop);
				}
			
			ai = ret;
			if (hit) hit--;
			if (hit) return 0;
			return ret;
		}
		
		override public function eat():int
		{
			var p:int = super.eat();
			if (p)
			{
				FP.world.add(new Shout(10, 20, "+1", 0x008000, 48, true));
			}
			return 0;
		}
		
		override public function work():int
		{
			FP.world.add(new Shout(10+stamina, 25, "-1", 0xc00000, 48, true));
			var p:int = super.work();
			if (p)
			{
				
				FP.world.add(new Shout(50, 50, "$"+cash, 0xfec912, 48, true));
			}
			
			return 0;
		}
		
		override public function buy():int
		{
			var p:int = super.buy();
			if (p)
			{
				FP.world.add(new Shout(50, 50, "$"+cash, 0x800000, 48, true));
			}
			return 0;
		}
		
		override public function update():void
		{
			FP.camera.x = x - FP.halfWidth;
			FP.camera.y = y - FP.halfWidth;
			
			if (FP.camera.x < 0) FP.camera.x = 0;
			if (FP.camera.y < 0) FP.camera.y = 0;
			if (FP.camera.x > Q.map.sx-FP.width) FP.camera.x = Q.map.sx-FP.width;
			if (FP.camera.y > Q.map.sy-FP.height) FP.camera.y = Q.map.sy-FP.height;
			
			if (enter)  
			{
				return super.update();
			}
			super.update();
			if (frustration) frustration--;
			//trace(frustration);
			if (Input.pressed(Key.X) || Input.pressed(Key.SPACE))
			{
				activate();
				Q.play(Q.work);
			}
			
			if ((Q.real_bootman && Input.pressed(Key.C)) || ((Input.pressed(Key.X) || Input.pressed(Key.SPACE)) && Q.phase==Q.BOOT))
			{
				//trace(Q.real_bootman);
				Q.play(Q.boot);
				 FP.world.add(new Boot(x, y));
				 frustration += 100;
			}
			
			
			if (x > Q.map.sx) { x = Q.map.sx; ai = LEFT; }
			if (y > Q.map.sy) { y = Q.map.sy; ai = JUMP; }
			if (y < 0) { y = 0; ai = 0; }
			if (x < 0) { x = 0; ai = RIGHT; }
			
			if (stamina < 0) stamina == 0;
			
			
			
		}
		
		override public function render():void
		{
			if (Q.phase != Q.BOOT)
			{
			Draw.rect(10+FP.camera.x, 20+FP.camera.y, stamina, 10, 0x008000);
			stamina_txt.render(FP.buffer, new Point(10, 10), new Point);
			
			
			
			for (var c:uint = 0; c < food.length; c++)
			{
				food[c].sprite.scale = FP.lerp(food[c].sprite.scale, 2, .1);
				food[c].sprite.color = (c & 1) ? 0xffffff : 0xcccccc;
				food[c].sprite.render(FP.buffer, new Point(10+c*5, (c & 1) ? 47 : 48), new Point);
			}
			food_txt.render(FP.buffer, new Point(10,30), new Point);
			//Draw.rect(10+FP.camera.x, 60+FP.camera.y, frustration, 10, 0xff0000);
			
			
			frustration_txt.text = "Day " + (Q.stage+1);
			frustration_txt.render(FP.buffer, new Point(10, 65), new Point);
			
			cash_txt.text = "Cash: $" + cash;
			cash_txt.render(FP.buffer, new Point(10, 50), new Point);
			}
			
			super.render();
		}
		
	}
}