package
{
	import net.flashpunk.FP;
	import net.flashpunk.Sfx;
	public class Q
	{
		static public var level:Levelworld;
		static public var map:DynamicTilemap;
		static public var player:Player;
		
		static public var mans:uint = 79;
		
		static public var phase:int = 0;
		static public var num_phase:uint = 6;
		
		static public var gameover:uint = 0;
		static public var win:uint = 0;
				static public var won:uint = 0;
		
		static public var stage:uint = 0;
		
		static public function get bootman():Boolean { return real_bootman && !phase; }
		static public var real_bootman:uint = 0;
		
		static public var target:Vector.<Target> = new Vector.<Target>;
		static public var people:Vector.<Man> = new Vector.<Man>;
		static public var morepeople:Vector.<Man> = new Vector.<Man>;
		static public var active:Target = null;
		
		static public var foods:Array = [
			"Carrot",
			"Beans",
			"Milk",
			"Bacon",
			
			"Sausage",
			"Hotdog",
			"Fish",
			"Cabbage",
			
			"Chips",
			"Bread",
			"Beer",
			"Apple",
			
			"Orange",
			"Coffee",
			"Chcolate",
			"Mushroom",
		
		];
		
		static public var works:Array = [
			"Compute",
			"Optimise",
			"Operate",
			"Pump",
			"Incinerate",
			"Stabilise"
		];
		
		
		static public var ocd:Array =[
			"eat",
			"sleep",
		];
		
		static public var phasename:Array =[
			"Bootman!",	
			"Dream!",	
			"WORK!",
			"BUY!",
			"EAT!",	
			"GOODNIGHT!",
			
			
		];
		
		static public var phasecol:Array =[
			0x5577ee,
			0x203040,
			0x5e3824,
			0x444444,
			0x3e4b63,
			0x5577ee,
			
		];
		
		static public var names:Array =[
			"Al",
			"Steve",
			"Steve",
			"Steve",
			"Steve",
			"Steve",
			"Steve",
			"Steve",
			"Steve"
		];
		
		public static const BOOT:uint = 0;
		public static const WAKE:uint = 1;
		public static const WORK:uint = 2;
		public static const SHOP:uint = 3;
		public static const EAT:uint = 4;
		public static const SLEEP:uint = 5;
		
		//public static const WORK:uint = 1;
		
		
		static public function phase_shift():void
		{
			phase++;
			if (phase == num_phase)
			{
				phase = 1;
				stage++;
			}
			if (Q.player) FP.world.remove(Q.player);
			for (var c:uint = 0 ; c < people.length; c++)
			{
				FP.world.remove(people[c]);
			}
			if (Q.win && !Q.won)
			{
				Q.won = 1;
				FP.world = new Info(1);
				
			} else if (phase == WORK || phase == SHOP || phase == EAT)
			{
				var moonphase:uint = 0;
				if (phase == WORK) moonphase = 1;
				if (phase == SHOP) moonphase = 2;
				if (phase == EAT) moonphase = 3;
				FP.world = new Polter(null, phasename[Q.phase], 0xfec912,moonphase);
			} else if (phase == BOOT ){
				FP.world = new Intro(0xfec912,0);
			} else {
				FP.world = new Levelworld(0, 0, Q.stage, Q.phase);
			}
			//FP.world = new Levelworld(0, 0, Q.stage, Q.phase);
		}
		
		[Embed(source="snd/boot1.mp3")]
		public static var BOOT1:Class;
		
		[Embed(source="snd/boot2.mp3")]
		public static var BOOT2:Class;
		
		[Embed(source="snd/boot3.mp3")]
		public static var BOOT3:Class;
		
		public static var boot:Array = [
		new Sfx(BOOT1),
		new Sfx(BOOT2),
		new Sfx(BOOT3),
		];
		
		[Embed(source="snd/die1.mp3")]
		public static var die1:Class;
		
		[Embed(source="snd/die2.mp3")]
		public static var die2:Class;
		[Embed(source="snd/die3.mp3")]
		public static var die3:Class;
		[Embed(source="snd/die4.mp3")]
		public static var die4:Class;
		[Embed(source="snd/die5.mp3")]
		public static var die5:Class;
		[Embed(source="snd/die6.mp3")]
		public static var die6:Class;
		[Embed(source="snd/die7.mp3")]
		public static var die7:Class;
		
		public static var die:Array = [
		new Sfx(die1),
		new Sfx(die2),
		new Sfx(die3),
		new Sfx(die4),
		new Sfx(die5),
		new Sfx(die6),
		new Sfx(die7),
		];
		
		[Embed(source="snd/hop1.mp3")]
		public static var hop1:Class;
		[Embed(source="snd/hop2.mp3")]
		public static var hop2:Class;
		[Embed(source="snd/hop3.mp3")]
		public static var hop3:Class;
		[Embed(source="snd/hop4.mp3")]
		public static var hop4:Class;
		[Embed(source="snd/hop5.mp3")]
		public static var hop5:Class;
		[Embed(source="snd/hop6.mp3")]
		public static var hop6:Class;
		
		public static var hop:Array = [
		new Sfx(hop1),
		new Sfx(hop2),
		new Sfx(hop3),
		new Sfx(hop4),
		new Sfx(hop5),
		new Sfx(hop6),
		];
		
		[Embed(source="snd/work1.mp3")]
		public static var work1:Class;
		[Embed(source="snd/work2.mp3")]
		public static var work2:Class;
		[Embed(source="snd/work3.mp3")]
		public static var work3:Class;
		[Embed(source="snd/work4.mp3")]
		public static var work4:Class;
		[Embed(source="snd/work5.mp3")]
		public static var work5:Class;
		[Embed(source="snd/work6.mp3")]
		public static var work6:Class;
		[Embed(source="snd/work7.mp3")]
		public static var work7:Class;
		[Embed(source="snd/work8.mp3")]
		public static var work8:Class;
		[Embed(source="snd/work9.mp3")]
		public static var work9:Class;
		[Embed(source="snd/work10.mp3")]
		public static var work10:Class;
		[Embed(source="snd/work11.mp3")]
		public static var work11:Class;
		[Embed(source="snd/work12.mp3")]
		public static var work12:Class;
		[Embed(source="snd/work13.mp3")]
		public static var work13:Class;
		
		public static var work:Array = [
		new Sfx(work1),
		new Sfx(work2),
		new Sfx(work3),
		new Sfx(work4),
		
		new Sfx(work5),
		new Sfx(work6),
		new Sfx(work7),
		new Sfx(work8),
		
		new Sfx(work9),
		new Sfx(work10),
		new Sfx(work11),
		new Sfx(work12),
		new Sfx(work13),
		];
		
		[Embed(source="snd/wake.mp3")]
		public static var wake1:Class;
		public static var wake:Array = [
		new Sfx(wake1),
		];
		
		[Embed(source="snd/work.mp3")]
		public static var workk:Class;
		[Embed(source="snd/eat.mp3")]
		public static var eatt:Class;
		[Embed(source="snd/buy.mp3")]
		public static var buyy:Class;
		[Embed(source="snd/gameover.mp3")]
		public static var gameoverr:Class;
		
		public static var other:Array = [
		new Sfx(workk),
		new Sfx(eatt),
		new Sfx(buyy),
		new Sfx(gameoverr),
		];
		
		
		public static function play(a:Array):void
		{
			
			a[FP.rand(a.length)].play();
		}
		
		
	}
}

