package
{
	import flash.geom.Point;
	import net.flashpunk.Entity;
	import net.flashpunk.FP;
	import net.flashpunk.graphics.Image;
	import net.flashpunk.graphics.Spritemap;
	
	// gamer is a classs fo a game entity, controlled either
	// by local player, remote player or AI or nothing
	public class Blood extends Entity
	{
		
		public var delay:uint = 20;
		
		public var sintime:Number = 0;
		//public var dash:Image = Image.createRect(32,32,0,.8);
		public var vx:Number;
		public var vy:Number;
		public function Blood(x:Number,y:Number)
		{
			// create yourt entity here (look at player class)
			// make sure to alter the properties too (speed, etc)
			this.x = x;
			this.y = y;
			var a:Number = Math.random() * Math.PI * 2;
			var b:Number = (1.0 + Math.random() * 1);
			vx = Math.cos(a) * b;
			vy = Math.sin(a) * b;
		}

		public static function bleed(x:Number, y:Number, amount:uint = 1)
		{
			for (var c:uint = 0; c < amount; c++)
			{
				FP.world.add(new Blood(x, y));
			}
		}
		
		override public function update():void
		{
			x += vx;
			y += vy;
			delay--;
			if (!delay) FP.world.remove(this);
			vy += .3;
			
		}
		
		override public function render():void
		{
			var xx:Number = x - FP.camera.x;
			var yy:Number = y - FP.camera.y;
			FP.buffer.setPixel(xx, yy, 0xffff0000);
			FP.buffer.setPixel(xx+1, yy+1, 0xffb00000);
			FP.buffer.setPixel(xx + 1, yy, 0xffc00000);
			FP.buffer.setPixel(xx, yy+1, 0xff800000);
			
		}
		
	}
}