package
{
	import net.flashpunk.graphics.Text;
	import net.flashpunk.Sfx;
	import net.flashpunk.World;
	import net.flashpunk.utils.Input;
	import net.flashpunk.utils.Key;
	import net.flashpunk.FP;
	public class Info extends World
	{
		[Embed(source='gfx/tile.png')]
		protected var TILES:Class;
		
		[Embed(source="snd/talk01.mp3")]
		public static var talk01:Class;
		[Embed(source="snd/talk02.mp3")]
		public static var talk02:Class;
		[Embed(source="snd/talk03.mp3")]
		public static var talk03:Class;
		[Embed(source="snd/talk04.mp3")]
		public static var talk04:Class;
		[Embed(source="snd/talk05.mp3")]
		public static var talk05:Class;
		[Embed(source="snd/talk06.mp3")]
		public static var talk06:Class;
		[Embed(source="snd/talk07.mp3")]
		public static var talk07:Class;
		[Embed(source="snd/talk075.mp3")]
		public static var talk075:Class;
		[Embed(source="snd/talk08.mp3")]
		public static var talk08:Class;
		
		[Embed(source="snd/talk11.mp3")]
		public static var talk11:Class;
		[Embed(source="snd/talk12.mp3")]
		public static var talk12:Class;
		[Embed(source="snd/talk13.mp3")]
		public static var talk13:Class;
		[Embed(source="snd/talk14.mp3")]
		public static var talk14:Class;
		[Embed(source="snd/talk15.mp3")]
		public static var talk15:Class;
		[Embed(source="snd/talk16.mp3")]
		public static var talk16:Class;
		[Embed(source="snd/talk17.mp3")]
		public static var talk17:Class;
		[Embed(source="snd/talk18.mp3")]
		public static var talk18:Class;
		
		
		
		public var text:Pulse = null;
		public var text2:Pulse = null;
		public var planet:Planet = null;
		public var wrld:World;
		public var moon:int;
		
		public var delay:int = 0;
		public static var step:int=150;
		
		public var txt:Vector.<Text> = new Vector.<Text>(num, true);
		public static var num:int = 10;
		
		public static var texts:Array = [
			[
			"This is a story",new Sfx(talk01),
				"about a guy named Jake",new Sfx(talk02),
				"who lives on a tiny planet",new Sfx(talk03),
				"called 'Life'.",new Sfx(talk04),
				"...",null,
				"Jake is obsessed", new Sfx(talk05),
				"With a superhero called", new Sfx(talk06),
				"Bootman", new Sfx(talk07),
				"who fights foul language.",new Sfx(talk075),
				"So let's meet this Bootman!",new Sfx(talk08),
				
				
			], [
				"You, Jake, ", new Sfx(talk11),
				"are the last survivor", new Sfx(talk12),
				"on this planet", new Sfx(talk13),
				"...", null,
				"Thereby,", new Sfx(talk14),
				
				"I will grant you", new Sfx(talk15),
				"with powers", new Sfx(talk16),
				"of Bootman!", new Sfx(talk17),
				"", null,
				"Press C to boot, Bootman!",new Sfx(talk18),
			]
		
		];
		
		public function Info(moon:int=0)
		{
			this.moon = moon;
			FP.screen.color = 0x203040;
			for (var c:uint = 0; c < 40; c ++ ) add(new Motivate(0x203040, 5));
			
			trace("was here!");
			planet = (new Planet(0));
			add(planet);
			planet.done = 1;
			for (var c:uint = 0; c < num; c++)
			{
				var t:Text = new Text("");
				t.color = 0xffffff;
				t.align = 'center';
				t.width = FP.width;
				t.height = 50;
				t.outlineStrength = 6;
				t.size = 16;
				t.alpha = 0;
				t.scale = 0;
				t.centerOrigin();
				t.text = texts[moon][c*2];
				addGraphic(t, -20, FP.halfWidth, c * 20 + 40);
				txt[c] = t;
			}
			
		}
		
		
		
		override public function update():void
		{
			// nothing here aswell :)
			//trace("waiting!");
			if (!(delay % step))
			{
				var s:Sfx = texts[moon][(delay / step)*2+1];
				if (s)
				{
					s.play();
				}
			}
			delay++;
			
			for (var c:uint = 0; c < delay/step; c++)
			{
				if (c >= num) break;
				txt[c].alpha = FP.lerp(txt[c].alpha, 1, .02);
				txt[c].scale = FP.lerp(txt[c].scale, 1, .02);
			}
			
			if (Input.pressed(Key.SPACE) || delay>(num*step)+100)
			{
				FP.world = new Levelworld(0, 0, Q.stage, Q.phase);
				//trace("weee!");
				//return;
			}
			super.update();
		}
	}
}