package
{
	import flash.geom.Point;
	import net.flashpunk.Entity;
	import net.flashpunk.FP;
	import net.flashpunk.graphics.Image;
	import net.flashpunk.graphics.Spritemap;
	import net.flashpunk.graphics.Text;
	
	// gamer is a classs fo a game entity, controlled either
	// by local player, remote player or AI or nothing
	public class Man extends Gamer
	{
		[Embed(source = "gfx/MAN.png")]
		public var MAN:Class;
		
		public var enter:Boolean = true;
		public var ai:uint=0;
		public var iq:uint = 1;
		public var hit:uint = 0;
		public var fight:uint = 100;
		public var target:Target = null;
		public var killme:Target = null;
		public var killshow:uint = 0;
		public var txt:Text = null;
		
		public var food:Vector.<Food> = new Vector.<Food>;
		
		public var tx:uint = 0;
		public var ty:uint= 0;
		
		public var color:uint= 0;
		public var workanim:int = 0;
		public var cash:int = 10;
		public var frustration:int = 0;
		public var stamina:int = 10;
		public var dead:Boolean = false;
		//public var target:uint=0;
		
		public var spr:Spritemap = new Spritemap(MAN, 16, 24);
		public var spr2:Spritemap = new Spritemap(MAN, 16, 24);
		
		public function Man(x:Number,y:Number)
		{
			// create yourt entity here (look at player class)
			// make sure to alter the properties too (speed, etc)
			super(x, y);
			if ((!Q.phase) && !(this is Player))
			{
				killme = new Target(x, y, 0);
				Q.target.push(killme);
				trace("Target added!");
			}
			trace("Phase !" + Q.phase);
			setHitbox(8, 16,4,4);
			type = "man";
			graphic = spr;
			txt = new Text("AA");
			spr.centerOrigin();
			spr2.centerOrigin();
			//decc = .92 + Math.random() * .04;
			//acc=.18 + Math.random() * .04
			speed = 2 + Math.random() * 2;
			//jumprate = -2.0 - FP.rand(2);
			layer = -2;
			spr.add("idle", [0], 10);
			spr.add("run", [1, 2, 3, 4], 20);
			spr.add("jump", [5], 10);
			spr.add("die", [6, 6, 6, 7, 6, 6, 6, 6, 7, 6, 7, 6, 6, 7, 6, 6, 6, 7, 6, 7], 20);
			spr.add("work", [8,9,8,9,8,9,8,9], 10);
			color = FP.getColorHSV(Math.random(), .5, .5);
			spr.color = color;
			stamina =  10 + FP.rand(40);
		}

		override public function input():uint 
		{
			if (dead) 
			{
				type = "deadman";
				hit = 0;
				return 0;
				
			}
			iq--;
			if (!iq)
			{
				ai = 0;
				if (target)
				{
					if (target.x < left) ai |= LEFT;
					if (target.x > right) ai |= RIGHT;
					if (target.y < top) ai |= JUMP;
				} else {
					var wtf:uint = FP.rand(32);
					if ((wtf & 3) == 0)
					{
						ai |= LEFT;
					} else if ((wtf & 3) == 1) 
					{
						ai |= RIGHT;
					} else {
						
					}
					if (!FP.rand(16)) ai |= JUMP;
					var s:uint = FP.rand(15)+1;
					if (s == 1) FP.world.add(new Shout(x, y, 'shit', 0xff0000, 32));
					if (s == 2) FP.world.add(new Shout(x, y, 'fuck', 0xff0000, 32));
					if (s == 3) FP.world.add(new Shout(x, y, 'damn', 0xff0000, 32));
					if (s == 4) FP.world.add(new Shout(x, y, 'tits', 0xff0000, 32));
					if (s < 5)
					{
						killshow = 20;
					}
					//if (s == 6) FP.world.add(new Shout(x, y, 'tits', 0xff0000, 48));
					
				}
				iq = 50 + FP.rand(20);
			}
			if (hit) 
			{
				hit--;
				//if (!hit) dead = 1;
			}
			if (hit) return 0;
			
			return ai;
		}
		
		public function attack():void
		{
			//var e:Man = collide("man", x, y) as Man;
			//if (e)
			{
				vy = -8;
				vx = (FP.rand(2) ? -1 : 1);
				hit = 10;
			}
		}
		
		public function eat():int
		{
			//var e:Man = collide("man", x, y) as Man;
			var price:uint = 0;
			if (food.length)
			{
				food.pop();
				price= 2;
				stamina+=price;
				FP.world.add(new Shout(x, y, "+" + price, 0x40c040));
			}
			if (food.length)
			{
				food[food.length - 1].sprite.scale = 5;
			}
			workanim = 10;
			return price;
			
		}
		
		public function buy():int
		{
			var f:Food = collide("food", x, y) as Food;
			if (!f) return 0;
			//if (stamina) stamina--;
			var price:uint = 10;
			if (Q.active)
			{
				if (distanceFrom(Q.active) < Q.active.radius)
				{
					price = 1;
				}
			}
			if (price > cash) return 0;
			cash -= price;
			f.buyed = true;
			f.sprite.scale = 5;
			food.push(f);
			FP.world.remove(f);
			FP.world.add(new Shout(f.x, f.y, "$" + price, 0xfec912));
			workanim = 10;
			return price;
		}
		
		public function work():int
		{
			if (!stamina) return 0;
			stamina--;
			var price:uint = 0;
			if (Q.active)
			{
				if (distanceFrom(Q.active) < Q.active.radius)
				{
					price = 1;
					FP.world.add(new Shout(x, y, "$" + price, 0xffff80));
				}
			}
			cash += price;
			workanim = 10;
			return price;
		}
		
		public function activate():void
		{
			
				if (Q.phase == Q.EAT)
				{
					eat();
				} else if (Q.phase == Q.WORK)
				{
					work();
				} else if (Q.phase == Q.SHOP)
				{
					buy();
				}
		}
		
		
		override public function update():void
		{
			if (enter)
			{
				x += vx;
				y += vy;
				if (x < Q.map.sx && (x > 0) )
				{ 
					enter = false;
				}
				return;
			}
			if (target) { if (target.y < top) ai |= MULTIJUMP; else  ai &= ~MULTIJUMP; }
			if (dead || hit)
			{
				spr.play("die");
				spr.angle = 0;
				if (!dead) Blood.bleed(x, y); else type = "deadman";
			} else if (workanim)
			{
				workanim--;
				spr.play("work");
				
				spr.angle = 0;
			} else {
				if (ai & LEFT) spr.flipped = true; else spr.flipped = false;
				if (jumps != max_jumps)
				{
					spr.play("jump");
					spr.angle += 27 * (spr.flipped ? 1 : -1);
				} else if (ai & LEFT || ai & RIGHT) 
				{
					spr.play("run");
					spr.angle = 0;
				} else {
					spr.play("idle");
					spr.angle = 0;
				}
			}
			if (this is Player) return super.update();
			target = Q.active;
			super.update();
			
			fight--;
			if (!fight)
			{
				fight = 50 + FP.rand(50);
				activate();
				//buy();
				//work();
			}
			//trace("maan");
			if (x > Q.map.sx) { x = Q.map.sx; ai = LEFT; }
			if (y > Q.map.sy) { y = Q.map.sy; ai = JUMP; }
			if (y < 0) { y = 0; ai = 0; }
			if (x < 0) { x = 0; ai = RIGHT; }
			
			if (killme) 
			{
				killme.update();
				killme.x = x;
				killme.y = y;
				if (killshow) killshow--;
			}
		}
		
		override public function render():void
		{
			//if (target) {if (target.y < top) ai |= MULTIJUMP; else  ai &=~MULTIJUMP;}
			super.render();
			/*
			txt.text = "Food: " + food.length + "\nStamina: " + stamina + "\nCash: " + cash;
			txt.centerOrigin();
			//if (hit) txt.color = 0xff0000; else txt.color = 0xffffff;
			txt.render(FP.buffer,new Point(x,y-30),FP.camera);
			*/
			spr2.angle = spr.angle;
			spr2.flipped = spr.flipped;
			spr2.frame = spr.frame+10;
			spr2.render(FP.buffer, new Point(x, y), FP.camera);
			
			if (killme && !dead && !hit  && killshow) 
			{
				//if (killme.activated)
				{
				//	killme.activated = 0;
					killme.render();
				//	killme.activated = 3643773;
				}
			}
			
		}
		
	}
}


