package
{
	import net.flashpunk.graphics.Text;
	import net.flashpunk.World;
	import net.flashpunk.utils.Input;
	import net.flashpunk.utils.Key;
	import net.flashpunk.FP;
	public class Polter extends World
	{
		[Embed(source='gfx/tile.png')]
		protected var TILES:Class;
		
		public var text:Shout = null;
		public var planet:Planet = null;
		public var wrld:World;
		public var moon:int;
		
	
		
		public function Polter(wrld:World,text:String,color:uint = 0xfec912,moon:int=-1)
		{
			FP.screen.color = 0x203040;
			for (var c:uint = 0; c < 40; c ++ ) add(new Motivate(0x203040, 5));
			this.text = new Shout(FP.halfWidth, FP.halfHeight, text, color, 128);
			this.text.layer = -20;
			
			this, wrld = wrld;
			planet = (new Planet(moon));
			if (moon < 0)
			{
				add(this.text);
			} else {
				add(planet);
			}
		}
		
		
		
		override public function update():void
		{
			// nothing here aswell :)
			//trace("waiting!");
			if (planet.done==1)
			{
				add(this.text);
				planet.done = 2;
				if (Q.phase == Q.WORK) Q.other[0].play();
				if (Q.phase == Q.EAT) Q.other[1].play();
				if (Q.phase==Q.SHOP) Q.other[2].play();
			}
			if (!text.activated)
			{
				FP.world = new Levelworld(0, 0, Q.stage, Q.phase);
				//trace("weee!");
				//return;
			}
			super.update();
		}
	}
}
