package
{
	import flash.geom.Point;
	import net.flashpunk.Entity;
	import net.flashpunk.FP;
	import net.flashpunk.graphics.Image;
	import net.flashpunk.graphics.Spritemap;
	import net.flashpunk.graphics.Text;
	
	// gamer is a classs fo a game entity, controlled either
	// by local player, remote player or AI or nothing
	public class Pulse extends Entity
	{
		
		public var activated:uint = 1;
		public var radius:Number = 100;
		public var sintime:Number = 0;
		public var dash:Text = new Text("");
		
		public function Pulse(x:Number,y:Number,txt:String,color:uint,size:uint=48,fixed:Boolean=false)
		{
			// create yourt entity here (look at player class)
			// make sure to alter the properties too (speed, etc)
			this.x = x;
			this.y = y;
			dash.align = 'center';
			dash.size = size;
			dash.outlineStrength = 6;
			dash.text = txt;
			dash.centerOrigin();
			dash.color = color;
			dash.scale = 0;
			if (fixed)
			{
				dash.scrollX = 0;
				dash.scrollY = 0; 
				layer = -20;
			}
			graphic = dash;
			dash.angle = FP.rand(30) - 15;
		}

		
		
		override public function update():void
		{
			sintime += .08;
			//dash.alpha *= .96;
			dash.scale = 1.0+Math.sin(sintime)*.2;
			//
			if (sintime > Math.PI) 
			{
				//FP.world.remove(this);
				//activated = 0;
			}
			
		}
		
		override public function render():void
		{
			super.render();
		}
		
	}
}
