package
{
	import flash.display.Bitmap;
	import flash.display.Sprite;
	import flash.events.Event;
	import flash.events.MouseEvent;
	import flash.media.SoundMixer;
	import flash.media.SoundTransform;
	import net.flashpunk.FP;
	public class Sndbtn extends Sprite
	{
		[Embed(source = 'snd/sndon.png')]
		public static const ON:Class;
		
		[Embed(source = 'snd/sndoFF.png')]
		public static const OFF:Class;
		
		public var on:Bitmap = new ON;
		public var off:Bitmap = new OFF;
		
		public var state:Boolean = true;
		
		public function Sndbtn()
		{
			this.addChild(on);
			this.addChild(off);
			on.alpha = 1;
			off.alpha = 0;
			addEventListener(MouseEvent.CLICK, click);
			graphics.beginFill(0xffffff, 0);
			graphics.drawRect(0, 0, 32, 32);
			graphics.endFill();
			x =  640- 32;
			y =  480- 32;
		}
		
		public function click(e:Event=null):void
		{
			if (state)
			{
				SoundMixer.soundTransform = new SoundTransform(0);
				state = false;
				on.alpha = 0;
				off.alpha = 1;
			} else {
				SoundMixer.soundTransform = new SoundTransform(1);
				state = true;
				on.alpha = 1;
				off.alpha = 0;
			}
		}
	}
}