package
{
	import flash.geom.Point;
	import net.flashpunk.Entity;
	import net.flashpunk.FP;
	import net.flashpunk.graphics.Image;
	import net.flashpunk.graphics.Spritemap;
	import net.flashpunk.graphics.Text;
	
	// gamer is a classs fo a game entity, controlled either
	// by local player, remote player or AI or nothing
	public class Target extends Entity
	{
		
		public var mode:uint = 0;
		public var activated:uint = 0;
		public var radius:Number = 48;
		public var sintime:Number = 0;
		public var dash:Image = Image.createRect(4, 10);
		public var txt1:Text = new Text("");
		public var txt2:Text = new Text("");
		public var txt3:Text = new Text("");
		
		
		public function Target(x:Number,y:Number,type:uint)
		{
			// create yourt entity here (look at player class)
			// make sure to alter the properties too (speed, etc)
			this.x = x;
			this.y = y;
			dash.centerOrigin();
			mode = type;
			txt3.size = 32;
			txt3.color = 0xfffee20;
			txt2.size = 32;
			txt1.size = 32;
			if (Q.phase == Q.WORK)
			{
				txt3.text = "Press X to work!";
				txt2.text = "Work!";
				txt1.text = Q.works[type];
				radius *= 1.5;
			} else if (Q.phase == Q.SHOP)
			{
				txt3.text = "Press X to buy!";
				txt2.text = "90% Discount!";
				txt1.text = Q.foods[type];
			}  else if (Q.phase == Q.EAT)
			{
				txt3.text = "Press X to do stuff!";
				txt2.text = "You must";
				txt1.text = Q.ocd[type];
			}   else if (Q.phase == Q.BOOT)
			{
				txt3.text = "Press X to do boot!";
				txt2.text = "Boot";
				txt1.text = Q.names[FP.rand(Q.names.length)];
				radius = Boot.radius;
				//txt3.size = 24;
				txt2.size = 16;
				txt1.size = 16;
			}  
			txt1.centerOrigin();
			txt2.centerOrigin();
			txt3.centerOrigin();
			
			txt1.color = 0xfec912;
			layer = -20;
		}

		public function activate(sec:int):void
		{
			activated = 60*sec;
			Q.active = this;
			
		}
		
		override public function update():void
		{
			if (Q.phase == Q.BOOT)
			{
			if (distanceFrom(Q.player) < Boot.radius)
			{
				activated = 4356363;
			} else {
				activated = 0;
			}
			dash.color = 0; 
				dash.alpha = .5;
				sintime += .005
				return;
			}
			if (activated) 
			{
				activated--;
				//activated = 0;
				if (!activated)
				{
					var s:uint = 5;
					if (Q.phase == Q.WORK) s = 5;
					if (Q.phase == Q.EAT) s = 1;
					if (Q.target.length) 
						Q.target.pop().activate(s);
					else
					{
						Q.phase_shift();
						return;
					}
				}
				dash.color = 0xffffff; 
				dash.alpha = 1;
				sintime += .02;
			} else {
				
				dash.color = 0; 
				dash.alpha = .5;
				sintime += .005;
			}
		}
		
		override public function render():void
		{
			var num:uint = 20;
			if (Q.phase == Q.BOOT)
			{
				//num = 5;
				//dash.scaleY = 4;
				//if (
				txt3.render(FP.buffer, new Point(FP.halfWidth, FP.height - 20), new Point);
				return;
			}
			for (var c:uint; c < num; c++)
			{
				var a:Number = Math.PI*2*c / num+sintime;
				dash.angle = FP.DEG * a;
				dash.render(FP.buffer, new Point(Math.cos(a)*radius+x, Math.sin(a)*radius+y), FP.camera);
			}
			txt1.render(FP.buffer, new Point(x, y - 40), FP.camera);
			if (activated)
			{
				txt2.render(FP.buffer, new Point(x, y - 56), FP.camera);
				if (distanceFrom(Q.player)<radius) txt3.render(FP.buffer, new Point(FP.halfWidth, FP.height-20), new Point);
			}
		}
		
	}
}